### execution::blocking_adaptation_t

A property to describe whether automatic adaptation of an executor is allowed in order to apply the `execution::blocking_adaptation_t::allowed_t` property.

    struct blocking_adaptation_t

##### Types

Name | Description
--- | ---
allowed_t | A sub-property that indicates that automatic adaptation is allowed.
disallowed_t | A sub-property that indicates that automatic adaptation is not allowed.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
blocking_adaptation_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
allowed [static] | A special value used for accessing the blocking_adaptation_t::allowed_t property.
disallowed [static] | A special value used for accessing the blocking_adaptation_t::disallowed_t property.
is_applicable_property_v [static] | The blocking_adaptation_t property applies to executors.
is_preferable [static] | The top-level blocking_adaptation_t property cannot be preferred.
is_requirable [static] | The top-level blocking_adaptation_t property cannot be required.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/blocking_adaptation.hpp`

Convenience header: `asio/execution.hpp`